Clutter::Text Class Reference
Inheritance diagram for Clutter::Text:
[legend]
Collaboration diagram for Clutter::Text:
[legend]

List of all members.

## Public Member Functions

virtual | ~Text ()
ClutterText* | gobj ()
| Provides access to the underlying C GObject.
const ClutterText* | gobj () const
| Provides access to the underlying C GObject.
ClutterText* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_text (const Glib::ustring& text)
| Sets the contents of a Clutter::Text actor.
void | set_markup (const Glib::ustring& markup)
| Sets markup as the contents of a Clutter::Text.
Glib::ustring | get_text () const
| Retrieves a pointer to the current contents of a Clutter::Text actor.
void | set_activatable (bool activatable=true)
| Sets whether a Clutter::Text actor should be activatable.
bool | get_activatable () const
| Retrieves whether a Clutter::Text is activatable or not.
void | set_attributes (Pango::AttrList& attrs)
| Sets the attributes list that are going to be applied to the Clutter::Text contents.
Pango::AttrList | get_attributes ()
| Gets the attribute list that was set on the Clutter::Text actor set_attributes(), if any.
void | set_color (const Color& color)
| Sets the color of the contents of a Clutter::Text actor.
Color | get_color () const
| Retrieves the text color as set by set_color().
void | set_ellipsize (Pango::EllipsizeMode mode)
| Sets the mode used to ellipsize (add an ellipsis: "...") to the text if there is not enough space to render the entire contents of a Clutter::Text actor.
Pango::EllipsizeMode | get_ellipsize ()
| Returns the ellipsizing position of a Clutter::Text actor, as set by set_ellipsize().
void | set_font_name (const Glib::ustring& font_name)
| Sets the font used by a Clutter::Text.
Glib::ustring | get_font_name () const
| Retrieves the font name as set by set_font_name().
void | set_font_description (const Pango::FontDescription& font_desc)
| Sets font_desc as the font description for a Clutter::Text.
Pango::FontDescription | get_font_description () const
| Retrieves the Pango::FontDescription used by self.
void | set_password_char (gunichar wc)
| Sets the character to use in place of the actual text in a password text actor.
gunichar | get_password_char () const
| Retrieves the character to use in place of the actual text as set by set_password_char().
void | set_justify (bool justify=true)
| Sets whether the text of the Clutter::Text actor should be justified on both margins.
bool | get_justify () const
| Retrieves whether the Clutter::Text actor should justify its contents on both margins.
Glib::RefPtr< Pango::Layout > | get_layout ()
| Retrieves the current Pango::Layout used by a Clutter::Text actor.
Glib::RefPtr< const Pango::Layout > | get_layout () const
| Retrieves the current Pango::Layout used by a Clutter::Text actor.
void | set_line_alignment (Pango::Alignment alignment)
| Sets the way that the lines of a wrapped label are aligned with respect to each other.
Pango::Alignment | get_line_alignment () const
| Retrieves the alignment of a Clutter::Text, as set by set_line_alignment().
void | set_line_wrap (bool line_wrap=true)
| Sets whether the contents of a Clutter::Text actor should wrap, if they don't fit the size assigned to the actor.
bool | get_line_wrap () const
| Retrieves the value set using set_line_wrap().
Pango::WrapMode | get_line_wrap_mode () const
| Retrieves the line wrap mode used by the Clutter::Text actor.
void | set_line_wrap_mode (Pango::WrapMode wrap_mode)
| If line wrapping is enabled (see set_line_wrap()) this function controls how the line wrapping is performed.
int | get_max_length () const
| Gets the maximum length of text that can be set into a text actor.
void | set_max_length (int max_length)
| Sets the maximum allowed length of the contents of the actor.
void | set_selectable (bool selectable=true)
| Sets whether a Clutter::Text actor should be selectable.
bool | get_selectable () const
| Retrieves whether a Clutter::Text is selectable or not.
void | set_selection (gssize start_pos, gssize end_pos)
| Selects the region of text between start_pos and end_pos.
Glib::ustring | get_selection () const
| Retrieves the currently selected text.
void | set_selection_bound (int selection_bound)
| Sets the other end of the selection, starting from the current cursor position.
int | get_selection_bound () const
| Retrieves the other end of the selection of a Clutter::Text actor, in characters from the current cursor position.
void | set_selection_color (const Color& color)
| Sets the color of the selection of a Clutter::Text actor.
Color | get_selection_color () const
| Retrieves the color of the selection of a Clutter::Text actor.
void | set_single_line_mode (bool single_line=true)
| Sets whether a Clutter::Text actor should be in single line mode or not.
bool | get_single_line_mode () const
| Retrieves whether the Clutter::Text actor is in single line mode.
void | set_use_markup (bool setting=true)
| Sets whether the contents of the Clutter::Text actor contains markup in .
bool | get_use_markup () const
| Retrieves whether the contents of the Clutter::Text actor should be parsed for the Pango text markup.
void | set_editable (bool editable=true)
| Sets whether the Clutter::Text actor should be editable.
bool | get_editable () const
| Retrieves whether a Clutter::Text is editable or not.
void | insert (gunichar wc)
| Inserts wc at the current cursor position of a Clutter::Text actor.
void | insert (const Glib::ustring& text, gssize position)
| Inserts text into a Clutter::Actor at the given position.
void | delete_chars (guint len)
| Deletes n_chars inside a Clutter::Text actor, starting from the current cursor position.
void | delete_text (gssize start_pos, gssize end_pos)
| Deletes the text inside a Clutter::Text actor between start_pos and end_pos.
bool | delete_selection ()
| Deletes the currently selected text.
Glib::ustring | get_chars (gssize start_pos, gssize end_pos) const
| Retrieves the contents of the Clutter::Text actor between start_pos and end_pos.
void | set_cursor_color (const Color& color)
| Sets the color of the cursor of a Clutter::Text actor.
void | get_cursor_color (Color& color) const
| Retrieves the color of the cursor of a Clutter::Text actor.
void | set_cursor_position (int position)
| Sets the cursor of a Clutter::Text actor at position.
int | get_cursor_position () const
| Retrieves the cursor position.
void | set_cursor_visible (bool visible)
| Sets whether the cursor of a Clutter::Text actor should be visible or not.
bool | get_cursor_visible () const
| Retrieves whether the cursor of a Clutter::Text actor is visible.
void | set_cursor_size (int size)
| Sets the size of the cursor of a Clutter::Text.
guint | get_cursor_size () const
| Retrieves the size of the cursor of a Clutter::Text actor.
bool | activate ()
| Emits the Clutter::Text::activate signal, if self has been set as activatable using set_activatable().
bool | position_to_coords (int position, float& x, float& y, float& line_height)
| Retrieves the coordinates of the given position.
void | set_preedit_string (const Glib::ustring& preedit_str, const Pango::AttrList& preedit_attrs, guint ursor_pos)
| Sets, or unsets, the pre-edit string.
Glib::SignalProxy0< void > | signal_activate ()
Glib::SignalProxy0< void > | signal_text_changed ()
Glib::SignalProxy1< void, const Geometry& > | signal_cursor_event ()
Glib::PropertyProxy< bool > | property_activatable ()
| Whether pressing return causes the activate signal to be emitted.
Glib::PropertyProxy_ReadOnly < bool > | property_activatable () const
| Whether pressing return causes the activate signal to be emitted.
Glib::PropertyProxy < Pango::AttrList > | property_attributes ()
| A list of style attributes to apply to the contents of the actor.
Glib::PropertyProxy_ReadOnly < Pango::AttrList > | property_attributes () const
| A list of style attributes to apply to the contents of the actor.
Glib::PropertyProxy< Color > | property_color ()
| Color of the font used by the text.
Glib::PropertyProxy_ReadOnly < Color > | property_color () const
| Color of the font used by the text.
Glib::PropertyProxy< Color > | property_cursor_color ()
| Cursor Color.
Glib::PropertyProxy_ReadOnly < Color > | property_cursor_color () const
| Cursor Color.
Glib::PropertyProxy_ReadOnly < bool > | property_cursor_color_set () const
| Whether the cursor color has been set.
Glib::PropertyProxy< int > | property_cursor_size ()
| The width of the cursor, in pixels.
Glib::PropertyProxy_ReadOnly< int > | property_cursor_size () const
| The width of the cursor, in pixels.
Glib::PropertyProxy< bool > | property_cursor_visible ()
| Whether the input cursor is visible.
Glib::PropertyProxy_ReadOnly < bool > | property_cursor_visible () const
| Whether the input cursor is visible.
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text is editable.
Glib::PropertyProxy_ReadOnly < bool > | property_editable () const
| Whether the text is editable.
Glib::PropertyProxy < Pango::EllipsizeMode > | property_ellipsize ()
| The preferred place to ellipsize the string.
Glib::PropertyProxy_ReadOnly < Pango::EllipsizeMode > | property_ellipsize () const
| The preferred place to ellipsize the string.
Glib::PropertyProxy < Glib::ustring > | property_font_name ()
| The font to be used by the text.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font_name () const
| The font to be used by the text.
Glib::PropertyProxy < Pango::FontDescription > | property_font_description ()
| The font description to be used.
Glib::PropertyProxy_ReadOnly < Pango::FontDescription > | property_font_description () const
| The font description to be used.
Glib::PropertyProxy< bool > | property_justify ()
| Whether the text should be justified.
Glib::PropertyProxy_ReadOnly < bool > | property_justify () const
| Whether the text should be justified.
Glib::PropertyProxy < Pango::Alignment > | property_line_alignment ()
| The preferred alignment for the string, for multi-line text.
Glib::PropertyProxy_ReadOnly < Pango::Alignment > | property_line_alignment () const
| The preferred alignment for the string, for multi-line text.
Glib::PropertyProxy < Pango::WrapMode > | property_line_wrap_mode ()
| Control how line-wrapping is done.
Glib::PropertyProxy_ReadOnly < Pango::WrapMode > | property_line_wrap_mode () const
| Control how line-wrapping is done.
Glib::PropertyProxy< bool > | property_line_wrap ()
| If set, wrap the lines if the text becomes too wide.
Glib::PropertyProxy_ReadOnly < bool > | property_line_wrap () const
| If set, wrap the lines if the text becomes too wide.
Glib::PropertyProxy< int > | property_max_length ()
| Maximum length of the text inside the actor.
Glib::PropertyProxy_ReadOnly< int > | property_max_length () const
| Maximum length of the text inside the actor.
Glib::PropertyProxy< gunichar > | property_password_char ()
| If non-zero, use this character to display the actor's contents.
Glib::PropertyProxy_ReadOnly < gunichar > | property_password_char () const
| If non-zero, use this character to display the actor's contents.
Glib::PropertyProxy< int > | property_position ()
| The cursor position.
Glib::PropertyProxy_ReadOnly< int > | property_position () const
| The cursor position.
Glib::PropertyProxy< bool > | property_selectable ()
| Whether the text is selectable.
Glib::PropertyProxy_ReadOnly < bool > | property_selectable () const
| Whether the text is selectable.
Glib::PropertyProxy< int > | property_selection_bound ()
| The cursor position of the other end of the selection.
Glib::PropertyProxy_ReadOnly< int > | property_selection_bound () const
| The cursor position of the other end of the selection.
Glib::PropertyProxy< Color > | property_selection_color ()
| Selection Color.
Glib::PropertyProxy_ReadOnly < Color > | property_selection_color () const
| Selection Color.
Glib::PropertyProxy_ReadOnly < bool > | property_selection_color_set () const
| Whether the selection color has been set.
Glib::PropertyProxy< bool > | property_single_line_mode ()
| Whether the text should be a single line.
Glib::PropertyProxy_ReadOnly < bool > | property_single_line_mode () const
| Whether the text should be a single line.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| The text to render.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| The text to render.
Glib::PropertyProxy< bool > | property_use_markup ()
| Whether or not the text includes Pango markup.
Glib::PropertyProxy_ReadOnly < bool > | property_use_markup () const
| Whether or not the text includes Pango markup.

## Static Public Member Functions

static Glib::RefPtr< Text > | create ()
static Glib::RefPtr< Text > | create (const Glib::ustring& font_name, const Glib::ustring& text)
static Glib::RefPtr< Text > | create (const Glib::ustring& font_name, const Glib::ustring& text, const Color& color)

## Protected Member Functions

| Text ()
| Text (const Glib::ustring& font_name, const Glib::ustring& text)
| Text (const Glib::ustring& font_name, const Glib::ustring& text, const Color& color)
virtual void | on_activate ()
virtual void | on_text_changed ()
virtual void | on_cursor_event (const Geometry& geometry)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Text > | wrap (ClutterText* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Text::~Text | ( |  | ) | `[virtual]`

Clutter::Text::Text | ( |  | ) | `[protected]`

Clutter::Text::Text | ( | const Glib::ustring & | font_name,
|  | const Glib::ustring & | text
| ) |  | `[explicit, protected]`

Clutter::Text::Text | ( | const Glib::ustring & | font_name,
|  | const Glib::ustring & | text,
|  | const Color& | color
| ) |  | `[explicit, protected]`

## Member Function Documentation

bool Clutter::Text::activate | ( |  | ) |

Emits the Clutter::Text::activate signal, if self has been set as activatable using set_activatable().

This function can be used to emit the ::activate signal inside a Clutter::Actor::captured-event or Clutter::Actor::key-press-event signal handlers before the default signal handler for the Clutter::Text is invoked.

Since cluttermm 1.0:

Returns:
  `true` if the ::activate signal has been emitted, and `false` otherwise.

static Glib::RefPtr<Text> Clutter::Text::create | ( |  | ) | `[static]`

static Glib::RefPtr<Text> Clutter::Text::create | ( | const Glib::ustring & | font_name,
|  | const Glib::ustring & | text
| ) |  | `[static]`

static Glib::RefPtr<Text> Clutter::Text::create | ( | const Glib::ustring & | font_name,
|  | const Glib::ustring & | text,
|  | const Color& | color
| ) |  | `[static]`

void Clutter::Text::delete_chars | ( | guint | len | ) |

Deletes n_chars inside a Clutter::Text actor, starting from the current cursor position.

Since cluttermm 1.0:

Parameters:

  n_chars | The number of characters to delete.

bool Clutter::Text::delete_selection | ( |  | ) |

Deletes the currently selected text.

This function is only useful in subclasses of Clutter::Text

Since cluttermm 1.0:

Returns:
  `true` if text was deleted or if the text actor is empty, and `false` otherwise.

void Clutter::Text::delete_text | ( | gssize | start_pos,
|  | gssize | end_pos
| ) |  |

Deletes the text inside a Clutter::Text actor between start_pos and end_pos.

The starting and ending positions are expressed in characters, not in bytes.

Since cluttermm 1.0:

Parameters:

  start_pos | Starting position.
  end_pos | Ending position.

bool Clutter::Text::get_activatable | ( |  | ) | const

Retrieves whether a Clutter::Text is activatable or not.

Since cluttermm 1.0:

Returns:
  `true` if the actor is activatable.

Pango::AttrList Clutter::Text::get_attributes | ( |  | ) |

Gets the attribute list that was set on the Clutter::Text actor set_attributes(), if any.

Since cluttermm 1.0:

Returns:
  The attribute list, or `0` if none was set. The returned value is owned by the Clutter::Text and should not be unreferenced.

Glib::ustring Clutter::Text::get_chars | ( | gssize | start_pos,
|  | gssize | end_pos
| ) |  | const

Retrieves the contents of the Clutter::Text actor between start_pos and end_pos.

The positions are specified in characters, not in bytes.

Since cluttermm 1.0:

Parameters:

  start_pos | Start of text, in characters.
  end_pos | End of text, in characters.

Returns:
  A newly allocated string with the contents of the text actor between the specified positions. Use Glib::free() to free the resources when done.

Color Clutter::Text::get_color | ( |  | ) | const

Retrieves the text color as set by set_color().

Since cluttermm 1.0:

Parameters:

  color | Return location for a Clutter::Color.

void Clutter::Text::get_cursor_color | ( | Color& | color | ) | const

Retrieves the color of the cursor of a Clutter::Text actor.

Since cluttermm 1.0:

Parameters:

  color | Return location for a Clutter::Color.

int Clutter::Text::get_cursor_position | ( |  | ) | const

Retrieves the cursor position.

Since cluttermm 1.0:

Returns:
  The cursor position, in characters.

guint Clutter::Text::get_cursor_size | ( |  | ) | const

Retrieves the size of the cursor of a Clutter::Text actor.

Since cluttermm 1.0:

Returns:
  The size of the cursor, in pixels.

bool Clutter::Text::get_cursor_visible | ( |  | ) | const

Retrieves whether the cursor of a Clutter::Text actor is visible.

Since cluttermm 1.0:

Returns:
  `true` if the cursor is visible.

bool Clutter::Text::get_editable | ( |  | ) | const

Retrieves whether a Clutter::Text is editable or not.

Since cluttermm 1.0:

Returns:
  `true` if the actor is editable.

Pango::EllipsizeMode Clutter::Text::get_ellipsize | ( |  | ) |

Returns the ellipsizing position of a Clutter::Text actor, as set by set_ellipsize().

Since cluttermm 1.0:

Returns:
  Pango::EllipsizeMode.

Pango::FontDescription Clutter::Text::get_font_description | ( |  | ) | const

Retrieves the Pango::FontDescription used by self.

Since cluttermm 1.2:

Returns:
  A Pango::FontDescription. The returned value is owned by the Clutter::Text actor and it should not be modified or freed.

Glib::ustring Clutter::Text::get_font_name | ( |  | ) | const

Retrieves the font name as set by set_font_name().

Since cluttermm 1.0:

Returns:
  A string containing the font name. The returned string is owned by the Clutter::Text actor and should not be modified or freed.

bool Clutter::Text::get_justify | ( |  | ) | const

Retrieves whether the Clutter::Text actor should justify its contents on both margins.

Since cluttermm 0.6:

Returns:
  `true` if the text should be justified.

Glib::RefPtr<Pango::Layout> Clutter::Text::get_layout | ( |  | ) |

Retrieves the current Pango::Layout used by a Clutter::Text actor.

Since cluttermm 1.0:

Returns:
  A Pango::Layout. The returned object is owned by the Clutter::Text actor and should not be modified or freed.

Glib::RefPtr<const Pango::Layout> Clutter::Text::get_layout | ( |  | ) | const

Retrieves the current Pango::Layout used by a Clutter::Text actor.

Since cluttermm 1.0:

Returns:
  A Pango::Layout. The returned object is owned by the Clutter::Text actor and should not be modified or freed.

Pango::Alignment Clutter::Text::get_line_alignment | ( |  | ) | const

Retrieves the alignment of a Clutter::Text, as set by set_line_alignment().

Since cluttermm 1.0:

Returns:
  A Pango::Alignment.

bool Clutter::Text::get_line_wrap | ( |  | ) | const

Retrieves the value set using set_line_wrap().

Since cluttermm 1.0:

Returns:
  `true` if the Clutter::Text actor should wrap its contents.

Pango::WrapMode Clutter::Text::get_line_wrap_mode | ( |  | ) | const

Retrieves the line wrap mode used by the Clutter::Text actor.

See set_line_wrap_mode().

Since cluttermm 1.0:

Returns:
  The wrap mode used by the Clutter::Text.

int Clutter::Text::get_max_length | ( |  | ) | const

Gets the maximum length of text that can be set into a text actor.

See set_max_length().

Since cluttermm 1.0:

Returns:
  The maximum number of characters.

gunichar Clutter::Text::get_password_char | ( |  | ) | const

Retrieves the character to use in place of the actual text as set by set_password_char().

Since cluttermm 1.0:

Returns:
  A Unicode character or 0 if the password character is not set.

bool Clutter::Text::get_selectable | ( |  | ) | const

Retrieves whether a Clutter::Text is selectable or not.

Since cluttermm 1.0:

Returns:
  `true` if the actor is selectable.

Glib::ustring Clutter::Text::get_selection | ( |  | ) | const

Retrieves the currently selected text.

Since cluttermm 1.0:

Returns:
  A newly allocated string containing the currently selected text, or `0`. Use Glib::free() to free the returned string.

int Clutter::Text::get_selection_bound | ( |  | ) | const

Retrieves the other end of the selection of a Clutter::Text actor, in characters from the current cursor position.

Since cluttermm 1.0:

Returns:
  The position of the other end of the selection.

Color Clutter::Text::get_selection_color | ( |  | ) | const

Retrieves the color of the selection of a Clutter::Text actor.

Since cluttermm 1.0:

Parameters:

  color | Return location for a Clutter::Color.

bool Clutter::Text::get_single_line_mode | ( |  | ) | const

Retrieves whether the Clutter::Text actor is in single line mode.

Since cluttermm 1.0:

Returns:
  `true` if the Clutter::Text actor is in single line mode.

Glib::ustring Clutter::Text::get_text | ( |  | ) | const

Retrieves a pointer to the current contents of a Clutter::Text actor.

If you need a copy of the contents for manipulating, either use Glib::strdup() on the returned string, or use:

|[ copy = clutter_text_get_chars (text, 0, -1); ]|

Which will return a newly allocated string.

Since cluttermm 1.0:

Returns:
  The contents of the actor. The returned string is owned by the Clutter::Text actor and should never be modified or freed.

bool Clutter::Text::get_use_markup | ( |  | ) | const

Retrieves whether the contents of the Clutter::Text actor should be parsed for the Pango text markup.

Since cluttermm 1.0:

Returns:
  `true` if the contents will be parsed for markup.

const ClutterText* Clutter::Text::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterText* Clutter::Text::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Actor.

ClutterText* Clutter::Text::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::Actor.

void Clutter::Text::insert | ( | gunichar | wc | ) |

Inserts wc at the current cursor position of a Clutter::Text actor.

Since cluttermm 1.0:

Parameters:

  wc | A Unicode character.

void Clutter::Text::insert | ( | const Glib::ustring & | text,
|  | gssize | position
| ) |  |

Inserts text into a Clutter::Actor at the given position.

If position is a negative number, the text will be appended at the end of the current contents of the Clutter::Text.

The position is expressed in characters, not in bytes.

Since cluttermm 1.0:

Parameters:

  text | The text to be inserted.
  position | The position of the insertion, or -1.

virtual void Clutter::Text::on_activate | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Text::on_cursor_event | ( | const Geometry& | geometry | ) | `[protected, virtual]`

virtual void Clutter::Text::on_text_changed | ( |  | ) | `[protected, virtual]`

bool Clutter::Text::position_to_coords | ( | int | position,
|  | float & | x,
|  | float & | y,
|  | float & | line_height
| ) |  |

Retrieves the coordinates of the given position.

Since cluttermm 1.0:

Parameters:

  position | Position in characters.
  x | Return location for the X coordinate, or `0`.
  y | Return location for the Y coordinate, or `0`.
  line_height | Return location for the line height, or `0`.

Returns:
  `true` if the conversion was successful.

Glib::PropertyProxy<bool> Clutter::Text::property_activatable | ( |  | ) |

Whether pressing return causes the activate signal to be emitted.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_activatable | ( |  | ) | const

Whether pressing return causes the activate signal to be emitted.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::AttrList> Clutter::Text::property_attributes | ( |  | ) |

A list of style attributes to apply to the contents of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::AttrList> Clutter::Text::property_attributes | ( |  | ) | const

A list of style attributes to apply to the contents of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Color> Clutter::Text::property_color | ( |  | ) |

Color of the font used by the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Text::property_color | ( |  | ) | const

Color of the font used by the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Color> Clutter::Text::property_cursor_color | ( |  | ) |

Cursor Color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Text::property_cursor_color | ( |  | ) | const

Cursor Color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_cursor_color_set | ( |  | ) | const

Whether the cursor color has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::Text::property_cursor_size | ( |  | ) |

The width of the cursor, in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::Text::property_cursor_size | ( |  | ) | const

The width of the cursor, in pixels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_cursor_visible | ( |  | ) |

Whether the input cursor is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_cursor_visible | ( |  | ) | const

Whether the input cursor is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_editable | ( |  | ) |

Whether the text is editable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_editable | ( |  | ) | const

Whether the text is editable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::EllipsizeMode> Clutter::Text::property_ellipsize | ( |  | ) |

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::EllipsizeMode> Clutter::Text::property_ellipsize | ( |  | ) | const

The preferred place to ellipsize the string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::FontDescription> Clutter::Text::property_font_description | ( |  | ) |

The font description to be used.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::FontDescription> Clutter::Text::property_font_description | ( |  | ) | const

The font description to be used.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Clutter::Text::property_font_name | ( |  | ) |

The font to be used by the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Clutter::Text::property_font_name | ( |  | ) | const

The font to be used by the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_justify | ( |  | ) |

Whether the text should be justified.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_justify | ( |  | ) | const

Whether the text should be justified.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::Alignment> Clutter::Text::property_line_alignment | ( |  | ) | const

The preferred alignment for the string, for multi-line text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::Alignment> Clutter::Text::property_line_alignment | ( |  | ) |

The preferred alignment for the string, for multi-line text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_line_wrap | ( |  | ) |

If set, wrap the lines if the text becomes too wide.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_line_wrap | ( |  | ) | const

If set, wrap the lines if the text becomes too wide.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Pango::WrapMode> Clutter::Text::property_line_wrap_mode | ( |  | ) |

Control how line-wrapping is done.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Pango::WrapMode> Clutter::Text::property_line_wrap_mode | ( |  | ) | const

Control how line-wrapping is done.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::Text::property_max_length | ( |  | ) | const

Maximum length of the text inside the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::Text::property_max_length | ( |  | ) |

Maximum length of the text inside the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gunichar> Clutter::Text::property_password_char | ( |  | ) | const

If non-zero, use this character to display the actor's contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gunichar> Clutter::Text::property_password_char | ( |  | ) |

If non-zero, use this character to display the actor's contents.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::Text::property_position | ( |  | ) |

The cursor position.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::Text::property_position | ( |  | ) | const

The cursor position.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_selectable | ( |  | ) |

Whether the text is selectable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_selectable | ( |  | ) | const

Whether the text is selectable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Clutter::Text::property_selection_bound | ( |  | ) |

The cursor position of the other end of the selection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Clutter::Text::property_selection_bound | ( |  | ) | const

The cursor position of the other end of the selection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Color> Clutter::Text::property_selection_color | ( |  | ) | const

Selection Color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Color> Clutter::Text::property_selection_color | ( |  | ) |

Selection Color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_selection_color_set | ( |  | ) | const

Whether the selection color has been set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_single_line_mode | ( |  | ) | const

Whether the text should be a single line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_single_line_mode | ( |  | ) |

Whether the text should be a single line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Clutter::Text::property_text | ( |  | ) | const

The text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Clutter::Text::property_text | ( |  | ) |

The text to render.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Text::property_use_markup | ( |  | ) | const

Whether or not the text includes Pango markup.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Text::property_use_markup | ( |  | ) |

Whether or not the text includes Pango markup.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Text::set_activatable | ( | bool | activatable = `true` | ) |

Sets whether a Clutter::Text actor should be activatable.

An activatable Clutter::Text actor will emit the Clutter::Text::activate signal whenever the 'Enter' (or 'Return') key is pressed; if it is not activatable, a new line will be appended to the current content.

An activatable Clutter::Text must also be set as editable using set_editable().

Since cluttermm 1.0:

Parameters:

  activatable | Whether the Clutter::Text actor should be activatable.

void Clutter::Text::set_attributes | ( | Pango::AttrList & | attrs | ) |

Sets the attributes list that are going to be applied to the Clutter::Text contents.

The Clutter::Text actor will take a reference on the Pango::AttrList passed to this function.

Since cluttermm 1.0:

Parameters:

  attrs | A Pango::AttrList or `0` to unset the attributes.

void Clutter::Text::set_color | ( | const Color& | color | ) |

Sets the color of the contents of a Clutter::Text actor.

The overall opacity of the Clutter::Text actor will be the result of the alpha value of color and the composited opacity of the actor itself on the scenegraph, as returned by Clutter::Actor::get_paint_opacity().

Since cluttermm 1.0:

Parameters:

  color | A Clutter::Color.

void Clutter::Text::set_cursor_color | ( | const Color& | color | ) |

Sets the color of the cursor of a Clutter::Text actor.

If color is `0`, the cursor color will be the same as the text color.

Since cluttermm 1.0:

Parameters:

  color | The color of the cursor, or `0` to unset it.

void Clutter::Text::set_cursor_position | ( | int | position | ) |

Sets the cursor of a Clutter::Text actor at position.

The position is expressed in characters, not in bytes.

Since cluttermm 1.0:

Parameters:

  position | The new cursor position, in characters.

void Clutter::Text::set_cursor_size | ( | int | size | ) |

Sets the size of the cursor of a Clutter::Text.

The cursor will only be visible if the Clutter::Text:cursor-visible property is set to `true`.

Since cluttermm 1.0:

Parameters:

  size | The size of the cursor, in pixels, or -1 to use the default value.

void Clutter::Text::set_cursor_visible | ( | bool | visible | ) |

Sets whether the cursor of a Clutter::Text actor should be visible or not.

The color of the cursor will be the same as the text color unless set_cursor_color() has been called.

The size of the cursor can be set using set_cursor_size().

The position of the cursor can be changed programmatically using set_cursor_position().

Since cluttermm 1.0:

Parameters:

  cursor_visible | Whether the cursor should be visible.

void Clutter::Text::set_editable | ( | bool | editable = `true` | ) |

Sets whether the Clutter::Text actor should be editable.

An editable Clutter::Text with key focus set using Clutter::Actor::grab_key_focus() or clutter_stage_take_key_focus() will receive key events and will update its contents accordingly.

Since cluttermm 1.0:

Parameters:

  editable | Whether the Clutter::Text should be editable.

void Clutter::Text::set_ellipsize | ( | Pango::EllipsizeMode | mode | ) |

Sets the mode used to ellipsize (add an ellipsis: "...") to the text if there is not enough space to render the entire contents of a Clutter::Text actor.

Since cluttermm 1.0:

Parameters:

  mode | A Pango::EllipsizeMode.

void Clutter::Text::set_font_description | ( | const Pango::FontDescription & | font_desc | ) |

Sets font_desc as the font description for a Clutter::Text.

The Pango::FontDescription is copied by the Clutter::Text actor so you can safely call pango_font_description_free() on it after calling this function.

Since cluttermm 1.2:

Parameters:

  font_desc | A Pango::FontDescription.

void Clutter::Text::set_font_name | ( | const Glib::ustring & | font_name | ) |

Sets the font used by a Clutter::Text.

The font_name string must either be `0`, which means that the font name from the default Clutter::Backend will be used; or be something that can be parsed by the pango_font_description_from_string() function, like:

|[ clutter_text_set_font_name (text, "Sans 10pt"); clutter_text_set_font_name (text, "Serif 16px"); clutter_text_set_font_name (text, "Helvetica 10"); ]|

Since cluttermm 1.0:

Parameters:

  font_name | A font name, or `0` to set the default font name.

void Clutter::Text::set_justify | ( | bool | justify = `true` | ) |

Sets whether the text of the Clutter::Text actor should be justified on both margins.

This setting is ignored if Clutter is compiled against Pango < 1.18.

Since cluttermm 1.0:

Parameters:

  justify | Whether the text should be justified.

void Clutter::Text::set_line_alignment | ( | Pango::Alignment | alignment | ) |

Sets the way that the lines of a wrapped label are aligned with respect to each other.

This does not affect the overall alignment of the label within its allocated or specified width.

To align a Clutter::Text actor you should add it to a container that supports alignment, or use the anchor point.

Since cluttermm 1.0:

Parameters:

  alignment | A Pango::Alignment.

void Clutter::Text::set_line_wrap | ( | bool | line_wrap = `true` | ) |

Sets whether the contents of a Clutter::Text actor should wrap, if they don't fit the size assigned to the actor.

Since cluttermm 1.0:

Parameters:

  line_wrap | Whether the contents should wrap.

void Clutter::Text::set_line_wrap_mode | ( | Pango::WrapMode | wrap_mode | ) |

If line wrapping is enabled (see set_line_wrap()) this function controls how the line wrapping is performed.

The default is Pango::WRAP_WORD which means wrap on word boundaries.

Since cluttermm 1.0:

Parameters:

  wrap_mode | The line wrapping mode.

void Clutter::Text::set_markup | ( | const Glib::ustring & | markup | ) |

Sets markup as the contents of a Clutter::Text.

This is a convenience function for setting a string containing Pango markup, and it is logically equivalent to:

|[ clutter_text_set_text (CLUTTER_TEXT (actor), markup); clutter_text_set_use_markup (CLUTTER_TEXT (actor), `true`); ]|

Since cluttermm 1.0:

Parameters:

  markup | A string containing Pango markup. Passing `0` is the same as passing "" (the empty string).

void Clutter::Text::set_max_length | ( | int | max_length | ) |

Sets the maximum allowed length of the contents of the actor.

If the current contents are longer than the given length, then they will be truncated to fit.

Since cluttermm 1.0:

Parameters:

  max | The maximum number of characters allowed in the text actor; 0 to disable or -1 to set the length of the current string.

void Clutter::Text::set_password_char | ( | gunichar | wc | ) |

Sets the character to use in place of the actual text in a password text actor.

If wc is 0 the text will be displayed as it is entered in the Clutter::Text actor.

Since cluttermm 1.0:

Parameters:

  wc | A Unicode character, or 0 to unset the password character.

void Clutter::Text::set_preedit_string | ( | const Glib::ustring & | preedit_str,
|  | const Pango::AttrList & | preedit_attrs,
|  | guint | ursor_pos
| ) |  |

Sets, or unsets, the pre-edit string.

This function is useful for input methods to display a string (with eventual specific Pango attributes) before it is entered inside the Clutter::Text buffer.

The preedit string and attributes are ignored if the Clutter::Text actor is not editable.

This function should not be used by applications

Since cluttermm 1.2:

Parameters:

  preedit_str | The pre-edit string, or `0` to unset it.
  preedit_attrs | The pre-edit string attributes.
  cursor_pos | The cursor position for the pre-edit string.

void Clutter::Text::set_selectable | ( | bool | selectable = `true` | ) |

Sets whether a Clutter::Text actor should be selectable.

A selectable Clutter::Text will allow selecting its contents using the pointer or the keyboard.

Since cluttermm 1.0:

Parameters:

  selectable | Whether the Clutter::Text actor should be selectable.

void Clutter::Text::set_selection | ( | gssize | start_pos,
|  | gssize | end_pos
| ) |  |

Selects the region of text between start_pos and end_pos.

This function changes the position of the cursor to match start_pos and the selection bound to match end_pos.

Since cluttermm 1.0:

Parameters:

  start_pos | Start of the selection, in characters.
  end_pos | End of the selection, in characters.

void Clutter::Text::set_selection_bound | ( | int | selection_bound | ) |

Sets the other end of the selection, starting from the current cursor position.

If selection_bound is -1, the selection unset.

Since cluttermm 1.0:

Parameters:

  selection_bound | The position of the end of the selection, in characters.

void Clutter::Text::set_selection_color | ( | const Color& | color | ) |

Sets the color of the selection of a Clutter::Text actor.

If color is `0`, the selection color will be the same as the cursor color, or if no cursor color is set either then it will be the same as the text color.

Since cluttermm 1.0:

Parameters:

  color | The color of the selection, or `0` to unset it.

void Clutter::Text::set_single_line_mode | ( | bool | single_line = `true` | ) |

Sets whether a Clutter::Text actor should be in single line mode or not.

A text actor in single line mode will not wrap text and will clip the the visible area to the predefined size. The contents of the text actor will scroll to display the end of the text if its length is bigger than the allocated width.

When setting the single line mode the Clutter::Text:activatable property is also set as a side effect. Instead of entering a new line character, the text actor will emit the Clutter::Text::activate signal.

Since cluttermm 1.0:

Parameters:

  single_line | Whether to enable single line mode.

void Clutter::Text::set_text | ( | const Glib::ustring & | text | ) |

Sets the contents of a Clutter::Text actor.

If the Clutter::Text:use-markup property was set to `true` it will be reset to `false` as a side effect. If you want to maintain the Clutter::Text:use-markup you should use the set_markup() function instead

Since cluttermm 1.0:

Parameters:

  text | The text to set. Passing `0` is the same as passing "" (the empty string).

void Clutter::Text::set_use_markup | ( | bool | setting = `true` | ) |

Sets whether the contents of the Clutter::Text actor contains markup in .

Setting Clutter::Text:use-markup on an editable Clutter::Text will make the actor discard any markup.

Since cluttermm 1.0:

Parameters:

  setting | `true` if the text should be parsed for markup.

Glib::SignalProxy0< void > Clutter::Text::signal_activate | ( |  | ) |

Prototype:
  `void on_my_activate()`

Glib::SignalProxy1< void,const Geometry& > Clutter::Text::signal_cursor_event | ( |  | ) |

Prototype:
  `void on_my_cursor_event(const Geometry& geometry)`

Glib::SignalProxy0< void > Clutter::Text::signal_text_changed | ( |  | ) |

Prototype:
  `void on_my_text_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Text > wrap | ( | ClutterText * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/text.h